Skip to content

Cancel order

DELETE
/v2/orders/order

Cancel an open order. A 200 OK response means the request to cancel the order was successfully completed. You can additionally use either the Order Status REST API or WebSocket API to receive status updates about this request.

Request body format: Either specify orderId (UUID format) and pair, or customerOrderId and pair. Do not provide both orderId and customerOrderId in the same request.

Required parameters: pair (currency pair), and either orderId or customerOrderId.

Notes: Only open orders can be cancelled. The customerOrderId must match the value specified when creating the order.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Request Body

application/json
JSON
{
"orderId": "be752651-a0ce-47e6-83c5-381992e3aca6",
"pair": "BTCUSDT"
}

Responses

Order cancelled successfully

application/json
JSON
{
"id": "e3b3c227-8240-41af-990b-40df7c3afc69"
}

Playground

Authorization
Body

Samples